package com.xxfc.platform.order.rest.background;


import com.github.wxiaoqi.security.admin.feign.UserFeign;
import com.github.wxiaoqi.security.admin.feign.rest.UserRestInterface;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.rest.BaseController;
import com.github.wxiaoqi.security.common.vo.PageDataVO;
import com.xxfc.platform.order.biz.CompanyWalletDetailBiz;
import com.xxfc.platform.order.entity.CompanyWalletDetail;
import com.xxfc.platform.order.pojo.dto.WalletDetailDTO;
import com.xxfc.platform.order.pojo.vo.CompanyWalletDetailVo;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("admin/wallet")
public class AdminCompanyWalletDetailController extends BaseController<CompanyWalletDetailBiz, CompanyWalletDetail> implements UserRestInterface {

    @Autowired
    UserFeign userFeign;

    @Override
    public UserFeign getUserFeign() {
        return userFeign;
    }


    @RequestMapping(value = "selectList", method = RequestMethod.GET)
    @ApiModelProperty(value = "营收明细列表")
    public ObjectRestResponse<PageDataVO<CompanyWalletDetailVo>> refundAmount(WalletDetailDTO walletDetailDTO) {
        setPowerData(walletDetailDTO,true);
        return ObjectRestResponse.succ(baseBiz.selectList(walletDetailDTO));
    }


    @RequestMapping(value = "sumAmount", method = RequestMethod.GET)
    @ApiModelProperty(value = "营收统计")
    public ObjectRestResponse sumAmount(WalletDetailDTO walletDetailDTO) {
        setPowerData(walletDetailDTO,true);
        return ObjectRestResponse.succ(baseBiz.getSumAmount(walletDetailDTO));
    }

}